com.r3corda.node.services.network / NetworkMapService / RegistrationRequest

# RegistrationRequest

`class RegistrationRequest : AbstractRequestMessage`

### Constructors

<init> | `RegistrationRequest(wireReg: WireNodeRegistration, replyTo: MessageRecipients, sessionID: Long)`

### Properties

wireReg | `val wireReg: WireNodeRegistration`

### Inherited Properties

replyTo | `val replyTo: MessageRecipients`
sessionID | `val sessionID: Long?`